For the complete documentation index, see llms.txt. This page is also available as Markdown.

Support

List all diagnostic files

get
Responses
default

default response

application/json
createdDatestring · date-timeOptional
environmentIdstring · uuidOptional
idstring · uuidOptional
modifiedDatestring · date-timeOptional
namestringOptional
sizeinteger · int64Optional
statestring · enumOptionalPossible values:
get/support
GET /rest/support HTTP/1.1
Accept: */*
default

default response

[
  {
    "createdDate": "2026-01-01T00:00:00.000Z",
    "environmentId": "123e4567-e89b-12d3-a456-426614174000",
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "modifiedDate": "2026-01-01T00:00:00.000Z",
    "name": "text",
    "size": 1,
    "state": "IN_PROGRESS",
    "supportSpecification": {
      "name": "text",
      "supportOptions": [
        "CONSOLE"
      ]
    }
  }
]

Create a diagnostic file for a specified environment

post
Path parameters
environmentIdstring · uuidRequired

The ID of the target environment

Body
namestringOptional
Responses
200

successful operation

application/json
createdDatestring · date-timeOptional
environmentIdstring · uuidOptional
idstring · uuidOptional
modifiedDatestring · date-timeOptional
namestringOptional
sizeinteger · int64Optional
statestring · enumOptionalPossible values:
post/support/{environmentId}/zip
POST /rest/support/{environmentId}/zip HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 44

{
  "name": "text",
  "supportOptions": [
    "CONSOLE"
  ]
}
200

successful operation

{
  "createdDate": "2026-01-01T00:00:00.000Z",
  "environmentId": "123e4567-e89b-12d3-a456-426614174000",
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "modifiedDate": "2026-01-01T00:00:00.000Z",
  "name": "text",
  "size": 1,
  "state": "IN_PROGRESS",
  "supportSpecification": {
    "name": "text",
    "supportOptions": [
      "CONSOLE"
    ]
  }
}

Download a diagnostic file

get
Path parameters
idstring · uuidRequired

The ID of the target diagnostic file

Responses
200

successful operation

No content

get/support/{id}
GET /rest/support/{id} HTTP/1.1
Accept: */*
200

successful operation

No content

Delete a diagnostic file

delete
Path parameters
idstring · uuidRequired

The ID of the target diagnostic file

Responses
default

default response

*/*
delete/support/{id}
DELETE /rest/support/{id} HTTP/1.1
Accept: */*
default

default response

Last updated

Was this helpful?